<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'lz_fitness_appointment_section',
	array(
		'title'         => __( 'Appointment Section', 'lz-fitness-premium' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'lz_fitness_appointment_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_appointment_section_disable',
		array(
			'settings'      => 'lz_fitness_appointment_section_disable',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'appointment', 'lz_fitness_appointment_section', $color='#f4f4f4');

$wp_customize->add_setting(
	'lz_fitness_appointment_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_appointment_title_subtitle_heading',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Section Title & Sub Title', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Let’s get in touch', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_title',
	array(
		'settings'      => 'lz_fitness_appointment_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Here goes the short description for the section', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_sub_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'We are Open for any suggestion or just to have a chat', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_sub_title',
	array(
		'settings'      => 'lz_fitness_appointment_sub_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'textarea',
		'label'         => __( 'Sub Title', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_appointment_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '1.800.851.7910', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_phhone',
	array(
		'settings'      => 'lz_fitness_appointment_phhone',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_phhone1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '512.595.7910', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_phhone1',
	array(
		'settings'      => 'lz_fitness_appointment_phhone1',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Another Phone No.', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_appointment_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@subbo.io', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_emailid',
	array(
		'settings'      => 'lz_fitness_appointment_emailid',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'email id', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_emailid1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'sales@subbo.io', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_emailid1',
	array(
		'settings'      => 'lz_fitness_appointment_emailid1',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'another email id', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_location',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '600 Congress Ave, Floor 14 Austin,TX78701', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_location',
	array(
		'settings'      => 'lz_fitness_appointment_location',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'textarea',
		'label'         => __( 'Location', 'lz-fitness-premium' )
	)
);


// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_HeadingColor', 'lz_fitness_appointment_section', 'Heading color', '#323232');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_TextColor', 'lz_fitness_appointment_section', 'Text color', '#424242');
// SubText color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_SubTextColor', 'lz_fitness_appointment_section', 'Sub Text color', '#424242');

// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_IconColor', 'lz_fitness_appointment_section', 'Icon color', '#ffffff');


$wp_customize->add_setting(
	'lz_fitness_appointment_form_lbl',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_form_lbl',
		array(
			'settings'      => 'lz_fitness_appointment_form_lbl',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Add contactForm 7 shortcode', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_form_shortcode',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_form_shortcode',
	array(
		'settings'      => 'lz_fitness_appointment_form_shortcode',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'lz-fitness-premium' )
	)
);

